/* eslint-disable */
const { getRuleTester } = require("./testHelper");
const rule = require("./restrict-lodash-import");

getRuleTester().run("restrict-lodash-import", rule, {
    valid: [getCode("import 'lodash/sortBy';")],
    invalid: [getCode("import 'lodash';", [{ messageId: "usePartialLodashImport" }], "")],
});

function getCode(code, errors, output) {
    const result = {
        code,
        errors: errors,
        output,
    };

    return result;
}
